LINUX.ORG.RU
ФорумAdmin

Проблема с установкой Xdebug на CentOS

 , ,


0

1

Есть сервер:

  • CentOS 5.9 x64
  • PHP 5.3.25 x64
  • php-common 5.3.25 x64

Пытаюсь установить Xdebug:
#yum install php-pecl-xdebug-2.1.2
на что мне yum говорит, что есть зависимость:
Installing for dependencies:
php-common i386 5.2.17-1.el5.art atomic
Но у меня же более старшая версия, почему предлагает откатится?!
Пытался поставить более позднюю версию Xdebug 2.2.3, так там в зависимостях вообще полный комплекс php 5.4, а обновлять PHP'ху желания нету.
Есть какой-нибудь выход из подобной ситуации?

P.S. На другом сервере, который отличается только системой:
CentOS 6.3 x64
Спокойно встал Xdebug, правда 2.1.4 версии.


Ответ на: комментарий от goingUp

А смысл копировать со второго сервера? Ведь версии ОС разные. На одном CentOS 5, а на другом CentOS 6.
А самому собирать опыта маловато.

hjack ()

Ты с архитектурой ничего не напутал? Почему он у тебя 32-битную версию тянет?

Покажи yum list --show-duplicates php-common

И полный лог разрешения зависимостей бы не мешало.

alpha ★★★★★ ()
Ответ на: комментарий от hjack

Самому тебе не собирать а пересобирать надо. Это существенно проще. Но для начала лучше понять в чем дело все же.

alpha ★★★★★ ()
Ответ на: комментарий от hjack

Если я правильно понимаю, там в спеке написано, что пакету требуется php ровно той версии, которая была на сборочной машине в момент сборки.

%if 0%{?php_zend_api}
Requires:       php(zend-abi) = %{php_zend_api}
Requires:       php(api) = %{php_core_api}
%else
Requires:       php-api = %{php_apiver}
%endif

Вариант номер раз: посчитать что майнтэйнер не разбирается в теме, пересобрать на своем сервере тот же спек, но со своими версиями:

 $ sudo yum-builddep file.srpm
 $ rpmbuild --rebuild file.src.rpm
и попробовать установить что получилось.

Вариант номер два - собрать локально от пользователя php нужной версии и всё добро к нему, включая этот модуль. Запускать как cgi например.

alpha ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Там же нужно еще пользователя создавать (можно конечно и не создавать), папки BUILD, SPEC (обязательно) и т.п. иначе не соберется оно, и еще не факт что не придется править spec файл.

hidden_4003 ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.